# Uses of Interface
org.eclipse.zest.layouts.interfaces.SubgraphLayout

Packages that use SubgraphLayout
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.core.widgets.custom
org.eclipse.zest.layouts.interfaces

## Uses of SubgraphLayout in org.eclipse.zest.core.widgets

Classes in org.eclipse.zest.core.widgets that implement SubgraphLayout
Modifier and Type
Class
Description
`class`
`DefaultSubgraph`
Default implementation of `SubgraphLayout`.
`class`
`FigureSubgraph`
A subgraph layout that represents a subgraph as a single figure.
Methods in org.eclipse.zest.core.widgets that return SubgraphLayout
Modifier and Type
Method
Description
`SubgraphLayout`
DefaultSubgraph.DefaultSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.LabelSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.PrunedSuccessorsSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
DefaultSubgraph.TriangleSubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`SubgraphLayout`
SubgraphFactory.`createSubgraph(NodeLayout[] nodes, LayoutContext context)`

## Uses of SubgraphLayout in org.eclipse.zest.core.widgets.custom

Classes in org.eclipse.zest.core.widgets.custom that implement SubgraphLayout
Modifier and Type
Class
Description
`class`
`LabelSubgraph`
A subgraph layout that displays a label showing number of items pruned within it.
`class`
`TriangleSubgraph`
A subgraph that is visualized in a graph as a triangle.

## Uses of SubgraphLayout in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return SubgraphLayout
Modifier and Type
Method
Description
`SubgraphLayout`
LayoutContext.`createSubgraph(NodeLayout[] nodes)`
Creates a subgraph containing given nodes and adds it to this context.
`SubgraphLayout`
NodeLayout.`getSubgraph()`
`SubgraphLayout[]`
LayoutContext.`getSubgraphs()`
Returns all the subgraphs this context's nodes were pruned to.
Methods in org.eclipse.zest.layouts.interfaces with parameters of type SubgraphLayout
Modifier and Type
Method
Description
`boolean`
PruningListener.`nodesPruned(LayoutContext context, SubgraphLayout[] subgraph)`
This method is called when some nodes are pruned in a layout context.
`void`
NodeLayout.`prune(SubgraphLayout subgraph)`
`boolean`
LayoutListener.`subgraphMoved(LayoutContext context, SubgraphLayout subgraph)`
This method is called whenever location of a particular subgraph is changed within observed context.
`boolean`
LayoutListener.`subgraphResized(LayoutContext context, SubgraphLayout subgraph)`
This method is called whenever size of a particular subgraph is changed within observed context.